---
search:
  tags:
    - Partners
    - GET
seo:
  description: >-
    Active Preferred Partner agreements for the account that owns the key.
    Reference for the GET /api/partners endpoint in the Comarketing API.
sidebar:
  label: List Preferred Partners
  badge: GET
title: List Preferred Partners
type: openapi-operation
---
Active Preferred Partner agreements for the account that owns the key.

`serviceIdRequired` is true when the category has more than one service other than a single Default row.

`GET /api/partners`

**Responses**

- `200` — The account's active Preferred Partners.
- `401` — The key is missing or unknown.
- `403` — The key cannot send leads.

Response example, 200:

```json
{
  "partners": [
    {
      "agreementId": "agr_id",
      "name": "Northside Moving",
      "categories": [
        {
          "id": "cat_id",
          "name": "Moving",
          "serviceIdRequired": false,
          "services": [
            {
              "id": "svc_id",
              "name": "Default"
            }
          ]
        }
      ]
    }
  ]
}
```

Response example, 401:

```json
{
  "error": "Invalid API key."
}
```

Response example, 403:

```json
{
  "error": "This key cannot send leads."
}
```
